Cron error - Unattended upgrade


#1

Hey Bytemark - I’m seeing the following nighly error message sent to root. Looks like a Jessie bug?
How can we fix this issue?


Unattended upgrade returned: None

Packages that attempted to upgrade:

Packages with upgradable origin but kept back:
spamassassin

Unattended-upgrades log:
Initial blacklisted packages:
Initial whitelisted packages:
Starting unattended upgrades script
Allowed origins are: [‘origin=Debian,codename=jessie,label=Debian-Security’,
‘o=Bytemark Hosting’, ‘o=Debian,n=jessie’, ‘o=Debian,n=jessie-updates’,
‘o=Debian,n=jessie-lts’, ‘o=Debian,n=jessie,l=Debian-Security’]
Package ‘spamassassin’ has conffile prompt and needs to be upgraded manually
package ‘spamassassin’ not upgraded
Packages that will be upgraded:


#2

I don’t think this is a bug. It’s warning that the config file might need to be changed as part of the upgrade. The implication being that it might break your system if it did this without you checking it first.

You can make it work automatically, but do you really want to? https://unix.stackexchange.com/a/139554/5571